Query Proposed Security Policies
Retrieves a paginated list of proposed security policies generated during segmentation analysis.
Notes
- Security policies represent proposed NSX security policies that can be published.
- Returns 200 on success
Unique identifier of the segmentation session.
Query parameters for filtering, sorting, and pagination
{
"filter_by_infrastructure": {
"summary": "Query all INFRASTRUCTURE policies",
"value": {
"policy_type": "INFRASTRUCTURE",
"sort_ascending": true,
"page_size": 50,
"offset": 0
}
}
}
Successfully retrieved proposed security policies
{
"success": {
"summary": "Successfully retrieved INFRASTRUCTURE policies",
"value": {
"offset": 0,
"number_of_results": 2,
"total_result_count": 2,
"total_pages": 1,
"sort_ascending": true,
"sort_by": "sequenceNumber",
"results": [
{
"id": "250f9f29-d983-3bab-9ed1-1bc61c21010a",
"display_name": "SSP_Infra_Custom",
"description": "SSP created policy for SSP_Infra_Custom_Policy",
"policy_type": "INFRASTRUCTURE",
"publish_status": "READY_TO_PUBLISH",
"publish_action": "NONE",
"rule_count": 2
},
{
"id": "206e2e21-e1f8-36d4-9195-bc1365ac1d40",
"display_name": "SSP_Infra",
"description": "SSP created policy for SSP_Infra_Policy",
"policy_type": "INFRASTRUCTURE",
"publish_status": "READY_TO_PUBLISH",
"publish_action": "NONE",
"rule_count": 21
}
]
}
}
}
Bad Request
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Unauthorized
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Forbidden
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Precondition Failed
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Precondition Required
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Too Many Requests
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Unexpected error
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/ssp/segmentation/{session-id}/results/proposed-security-policies